<form class="form w-100" novalidate="novalidate" id="kt_sign_in_form"
      data-kt-redirect-url="/metronic8/demo1/../demo1/index.html" action="#">
  <!--begin::Heading-->
  <div class="text-right mb-11 text-center">
    <!--begin::Title-->
    <h1 class="text-dark fw-bolder mb-3">GLO ARMAZEM</h1>
    <!--end::Title-->
    <!--begin::Subtitle-->
    <div class="text-gray-500 fw-semibold fs-6">Faça login com as suas credencias</div>
    <!--end::Subtitle=-->
  </div>
  <!--begin::Heading-->

  <!--begin::Input group=-->
  <div class="fv-row mb-8">
    <!--begin::Email-->
    <input type="text" placeholder="Email" name="email" autocomplete="off"
           [(ngModel)]="email" class="form-control bg-transparent"/>
    <!--end::Email-->
  </div>
  <!--end::Input group=-->
  <div class="fv-row mb-3">
    <!--begin::Password-->
    <input type="password" placeholder="Password" name="password" autocomplete="off"
           [(ngModel)]="password" class="form-control bg-transparent"/>
    <!--end::Password-->
  </div>
  <!--end::Input group=-->
  <!--begin::Wrapper-->
  <div class="d-flex flex-stack flex-wrap gap-3 fs-base fw-semibold mb-8">
    <div></div>
    <!--begin::Link-->
    <a routerLink="/auth/reset-password" class="link-primary">Esqueceu a Senha ?</a>
    <!--end::Link-->
  </div>

  <div class="d-grid mb-10">
    <button type="submit" id="kt_sign_in_submit" class="btn btn-primary" (click)="signIn()">
      <span class="indicator-label">Entrar</span>

      <span class="indicator-progress">Por favor aguarde...
        <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
    </button>
  </div>

  <div class="text-gray-500 text-center fw-semibold fs-6">Pretendes registrar-se?
    <a routerLink="/auth/sign-up" class="link-primary">Crie uma canta</a>
  </div>

</form>

